;(function($){
    'use strict';

    var $body = $('body');

    $.ApolaAdmin = {};
    $.ApolaAdmin.helpers = {};

    $.ApolaAdmin.DOMReady = function() {
    };

    $.ApolaAdmin.outerResourcesReady = function() {
        $.ApolaAdmin.helpers.hideIf(
            '.wpb_switch-to-front-composer',
            {
                '[name="apola-page-type-individual"]' : ['apola-fullpage-fixed-image', 'apola-fullpage', 'apola-blogroll', 'apola-portfolio-gallery']
            }
        );
    };

    $(function(){
        $.ApolaAdmin.DOMReady();
    });

    $(window).on('load', function(event){
        $.ApolaAdmin.outerResourcesReady();
    });


    $.ApolaAdmin.helpers.hideIf = function(elementSelector, conditionals) {
        if(!$.isPlainObject(conditionals)) return;

        for(var selector in conditionals) {
            var $element = $(elementSelector),
                $parent = $element.parent(),
                possibleValues = conditionals[selector],
                $currentField = $(selector),
                currentValue;

            if($currentField.attr('type') == 'checkbox' || $currentField.attr('type') == 'radio') {
                $currentField = $currentField.filter(':checked');
            }

            if($element.length && $currentField.length) {

                if(possibleValues.indexOf($currentField.val()) != -1) {
                    $element.hide();
                    $parent.addClass('apo-child-hidden');
                }
                else {
                    $element.show();
                    $parent.removeClass('apo-child-hidden');
                }
            }

            $('body').on('change.ApolaAdminHideIf', selector, function(e){
                var $this = $(this);

                possibleValues = conditionals[selector];
                $element = $(elementSelector);
                $parent = $element.parent()
                currentValue = $this.val();

                if($element.length) {
                    if(possibleValues.indexOf(currentValue) != -1) {
                        $element.hide();
                        $parent.addClass('apo-child-hidden');
                    }
                    else {
                        $element.show();
                        $parent.removeClass('apo-child-hidden');
                    }
                }
            });
        }
    };

})(window.jQuery);
