<?php
/**
* The main template file that is responsible to display the site footer.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;

$apola_footer_type = $Apola->getThemeOption('apola-footer-style', 'apola-footer-widget-area', array(
	'overriden_by' => 'apola-page-footer-style-individual',
	'depend_on' => array( 'key' => 'apola-page-footer-state-individual', 'value' => '0' )
));
?>
            	</div>
            </div>
        </div>
        <!-- - - - - - - - - - - - - - End of Page Wrapper - - - - - - - - - - - - - - - - -->
        <?php
			/**
			 * Hook for the append some content to the body.
			 *
			 * @hooked
			 */
			do_action( 'apola_body_append' );

			if($apola_footer_type != 'apola-none') {
				get_template_part('template-parts/footer/footer', preg_replace('/(apola-footer-)/', '', $apola_footer_type));
			}

			wp_footer();
		?>
    </body>
</html>
