<?php
/**
* The template for displaying all single pages
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;

$apola_page_type = $Apola->getThemeOption('apola-page-type', 'apola-default', array(
	'overriden_by' => 'apola-page-type-individual',
	'depend_on' => array( 'key' => 'apola-page-settings-inherit-individual', 'value' => 0 )
));

get_template_part('template-parts/page-layouts/page-layout', preg_replace('/(apola-)/', '', $apola_page_type));
?>
