<?php
/**
* The template file for displaying a portfolio/gallery page.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

global $Apola;

$apola_page_style = $Apola->getThemeOption('apola-page-type-portfolio-gallery-page-style', 'apola-grid');
get_template_part('template-parts/page-layouts/page-layout-portfolio-gallery', preg_replace('/apola-/', '', $apola_page_style));
?>
