<?php
// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}

// For the loading through AJAX
if(wp_doing_ajax()) {
	$apola_query_data = $_GET['data'];
	$apola_search_query = isset($apola_query_data['search_query']) ? stripslashes(strip_tags($apola_query_data['search_query'])) : '';
}

?>
<!-- - - - - - - - - - - - - - Searchform - - - - - - - - - - - - - - - - -->
<form role="search" class="apo-oneline-form" method="get" name="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
    <input type="search" name="s" placeholder="<?php esc_attr_e('Search...', 'apola'); ?>" value="<?php echo (wp_doing_ajax() && isset($apola_search_query)) ? esc_attr($apola_search_query) : esc_attr(get_search_query()); ?>"/>
    <button type="submit"><i class="icon icon-magnifier"></i></button>
</form>
<!-- - - - - - - - - - - - - - End of Searchform - - - - - - - - - - - - - - - - -->
