<?php
/**
* The template for displaying images of single gallery within a carousel.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));

global $Apola;
$ApolaHelper = $Apola->helper();

$ApolaPostsRepository = new ApolaGalleryRepository();
$apola_gallery_builder = unserialize(get_query_var('apola-queried-gallery-builder', array()));
$apola_items = $ApolaPostsRepository->in(array(get_the_ID()))->get();

set_query_var('apola-content-item-show-categories', $apola_gallery_builder['sliders']['single-page-item-show-categories']);
set_query_var('apola-content-item-show-likes', $apola_gallery_builder['sliders']['single-page-item-show-likes']);

if($apola_items) : ?>
    <main class="apo-section apo-without-vertical-padding">
        <!-- - - - - - - - - - - - - - Striped Carousel - - - - - - - - - - - - - -->
	    <div class="apo-striped-photos apo-full-height owl-carousel">
	        <?php
				foreach($apola_items as $apola_item) {
					set_query_var('apola-current-gallery-image', serialize($apola_item));
					get_template_part('template-parts/apola-galleries/apola-galleries', 'striped-carousel-post');
				}
			?>
	    </div>
    </main>
<?php endif; ?>
