<?php
/**
* The template file that shows "Nothing found" message in case when the query
* returns nothing.
*
* @package WordPress
* @subpackage Apola
* @since Apola 1.0
*/

// Prevent the direct loading of the file
if ( ! defined( 'ABSPATH' ) ) {
	die( esc_html__('You cannot access this file directly', 'apola') );
}
?>

<!-- - - - - - - - - - - - - - Alert Box - - - - - - - - - - - - - - - - -->
<div class="apo-alert-box-info">
    <div class="apo-alert-box-content">
        <div class="icon icon-notification-circle"></div> <?php esc_html_e('Nothing found.', 'apola'); ?>
    </div>
</div>
<!-- - - - - - - - - - - - - - End of Alert Box - - - - - - - - - - - - - - - - -->
